//Calculate VS and GVC_BM for GVC participation//
log using "../log/gvc_participation.log", replace
clear all
set more off

/*CPTPP countries GVC share*/
local country "jpn sgp mys vnm brn aus nzl can mex chl per chn usa fra ita deu esp gbr" 

putexcel set "../table/gvc_participation.xlsx", sheet("GVC_Shares") modify
loc row = 3
foreach y in 2005 2010 2015{
	icio_load, iciot(tivan) year(`y')
	
	putexcel A`row' = "`y'" 
	loc ++row
	
	loc j  = 1
	mat gvc_world = J(18,3,.)
	mat rownames gvc_world = `country'
	mat colnames gvc_world = EXP VS GVC
	
	foreach c of local country{
		qui icio, exp(`c') 
		m st_matrix("temp_GE", st_matrix("r(detailed)")[1,1])
		m st_matrix("temp_FC", st_matrix("r(detailed)")[7,2]) 
		m st_matrix("temp_GVC", st_matrix("r(detailed)")[10,2])
		matrix gvc_world[`j', 1] = temp_GE[1,1]
		matrix gvc_world[`j', 2] = temp_FC[1,1]
		matrix gvc_world[`j', 3] = temp_GVC[1,1]
		loc ++j
		}
	putexcel A`row' = mat(gvc_world), names
	loc row = `row' + 21
	}

/*World GVC share*/
foreach y in 2005 2010 2015{
	icio_load, iciot(tivan) year(`y')

	putexcel set "../table/gvc_participation.xlsx", sheet("WORLD_GVC_`y'") modify
	loc row = 2
	
	local group_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus can usa mex chl arg bra col cri per aus chn jpn kor nzl brn khm hkg ind idn mys phl sgp twn tha vnm kaz isr mar sau zaf tun row"
	//local group_world: subinstr local group_world "," ""
	
		
foreach c of local group_world{
	local world: subinstr local group_world "`c'" ""
	
	loc j  = 1
	mat gvc_world = J(3,64,.)
	mat rownames gvc_world = GEXP DAVAX FC 
	matrix colnames gvc_world = `world'
	
	foreach i of local world{
			qui icio, exp(`c') imp(`i') 
			m st_matrix("temp_GE", st_matrix("r(detailed)")[1,1])
			m st_matrix("temp_DAVAX", st_matrix("r(detailed)")[5,1])
			m st_matrix("temp_FC", st_matrix("r(detailed)")[8,1])
			matrix gvc_world[1, `j'] = temp_GE[1,1]
			matrix gvc_world[2, `j'] = temp_DAVAX[1,1]
			matrix gvc_world[3, `j'] = temp_FC[1,1]
			
			loc ++j
				}
	
	putexcel A`row' = mat(gvc_world), names
	loc row = `row' + 8
		}
}

log close
