log using "../log/downstream_partners.log", replace
clear all
set more off

/*Load TIVA table for a specific year*/
icio_load, iciot(tivan) year(2015) 

global group_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus can mex usa chl arg bra col cri per aus jpn kor nzl brn khm hkg ind idn mys phl chn twn tha sgp vnm kaz isr mar sau zaf tun row"
global l_cptpp1 "jpn sgp mys vnm brn" 
global l_cptpp2 "aus nzl can mex"
global l_cptpp3 "chl per"

//--------------------WORLD-------------------//
putexcel set "../table/downstream_partners.xlsx", sheet("WORLD") modify

loc ncol = 1
loc col: word `ncol' of `c(ALPHA)'


foreach m of global l_cptpp1{
	loc row = 1
	putexcel `col'`row' = "`m'"
	loc ++row
	
	mat DP_world = J(64,3,.)
	
	local world: subinstr global group_world "`m'" ""
	loc i = 1
	foreach c of local world{
		qui icio, exporter(`m') importer(`c') 
		m st_matrix("temp", st_matrix("r(detailed)")[.,1])
		m st_matrix("temp_DC", st_matrix("r(detailed)")[2,1])
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DP_world[`i',3] = temp[2,1] - temp[5,1] 
		matrix DP_world[`i',1] = temp_DC[1,1]
		matrix DP_world[`i',2] = temp_TT[1,1]
		loc ++i
		
		
		}
	mat colnames DP_world = "DC" "TT" "DC-TT"
	mat rownames DP_world = `world'
	putexcel `col'`row' = mat(DP_world), names
	local ncol = `ncol'+6				
	local col: word `ncol' of `c(ALPHA)' 
	}


loc ncol = 1
loc col: word `ncol' of `c(ALPHA)'


foreach m of global l_cptpp2{
	loc row = 70
	putexcel `col'`row' = "`m'"
	loc ++row
	
	mat DP_world = J(64,3,.)
	
	local world: subinstr global group_world "`m'" ""
	loc i = 1
	foreach c of local world{
		qui icio, exporter(`m') importer(`c') 
		m st_matrix("temp", st_matrix("r(detailed)")[.,1])
		m st_matrix("temp_DC", st_matrix("r(detailed)")[2,1])
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DP_world[`i',3] = temp[2,1] - temp[5,1] 
		matrix DP_world[`i',1] = temp_DC[1,1]
		matrix DP_world[`i',2] = temp_TT[1,1]
		loc ++i
		
		
		}
	mat colnames DP_world = "DC" "TT" "DC-TT"
	mat rownames DP_world = `world'
	putexcel `col'`row' = mat(DP_world), names
	local ncol = `ncol'+6				
	local col: word `ncol' of `c(ALPHA)' 
	}
	
loc ncol = 1
loc col: word `ncol' of `c(ALPHA)'


foreach m of global l_cptpp3{
	loc row = 140
	putexcel `col'`row' = "`m'"
	loc ++row
	
	mat DP_world = J(64,3,.)
	
	local world: subinstr global group_world "`m'" ""
	loc i = 1
	foreach c of local world{
		qui icio, exporter(`m') importer(`c') 
		m st_matrix("temp", st_matrix("r(detailed)")[.,1])
		m st_matrix("temp_DC", st_matrix("r(detailed)")[2,1])
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DP_world[`i',3] = temp[2,1] - temp[5,1] 
		matrix DP_world[`i',1] = temp_DC[1,1]
		matrix DP_world[`i',2] = temp_TT[1,1]
		loc ++i
		
		
		}
	mat colnames DP_world = "DC" "TT" "DC-TT"
	mat rownames DP_world = `world'
	putexcel `col'`row' = mat(DP_world), names
	local ncol = `ncol'+6				
	local col: word `ncol' of `c(ALPHA)' 
	}

//-----------------DESTINATION : CPTPP-----------------//
putexcel set "../table/downstream_partners.xlsx", sheet("CPTPP") modify

local group_cptpp "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per"
global g_cptpp "jpn sgp mys vnm brn aus nzl can mex chl per"

global g_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row"
global l_cptpp1 "jpn sgp mys vnm brn" 
global l_cptpp2 "aus nzl can mex"
global l_cptpp3 "chl per"

local ncol = 1
local col: word `ncol' of `c(ALPHA)'

foreach m of global l_cptpp1{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row jpn sgp mys vnm brn aus nzl can mex chl per"
	
	loc row = 1
	putexcel `col'`row' = "`m'" 
	loc ++row 
	
	mat DC_by_dest = J(64,3,.)
	local label: subinstr local label "`m'" ""
	local cptpp: subinstr local group_cptpp "`m'" ""
	
	loc j = 1
	foreach c of global g_world{
		qui icio, exporter(`m') importer(`c') dest(cptpp) out(dc) groups(`cptpp' "cptpp")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
			
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++j
		}
	
	local g_cptpp2: subinstr global g_cptpp "`m'" "" 
	
	foreach c of local g_cptpp2 {
		local cptpp2 : subinstr local cptpp "`c'" ""
		qui icio, exporter(`m') importer(`c') dest(cptpp) out(dc) groups(`cptpp2' "cptpp")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`c') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_imp[1,1] + temp_exp[1,1]
		
		qui icio, exp(`m') imp(`c') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DC_by_dest[`j',2] = temp_TT[1,1]
		
		loc ++j
		
		}
	mat colnames DC_by_dest = "DC" "TT" "DC-TT"
	mat rownames DC_by_dest = `label'
	
	putexcel `col'`row' = mat(DC_by_dest), names
	loc ncol = `ncol' + 6
	loc col: word `ncol' of `c(ALPHA)'

	}
	

local ncol = 1
local col: word `ncol' of `c(ALPHA)'

foreach m of global l_cptpp2{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row jpn sgp mys vnm brn aus nzl can mex chl per"
	
	loc row = 70
	putexcel `col'`row' = "`m'" 
	loc ++row 
	
	mat DC_by_dest = J(64,3,.)
	local label: subinstr local label "`m'" ""
	local cptpp: subinstr local group_cptpp "`m'" ""
	
	loc j = 1
	foreach c of global g_world{
		qui icio, exporter(`m') importer(`c') dest(cptpp) out(dc) groups(`cptpp' "cptpp")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
			
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++j
		}
	
	local g_cptpp2: subinstr global g_cptpp "`m'" "" 
	
	foreach c of local g_cptpp2 {
		local cptpp2 : subinstr local cptpp "`c'" ""
		qui icio, exporter(`m') importer(`c') dest(cptpp) out(dc) groups(`cptpp2' "cptpp")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`c') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_imp[1,1] + temp_exp[1,1]
		
		qui icio, exp(`m') imp(`c') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DC_by_dest[`j',2] = temp_TT[1,1]
		
		loc ++j
		
		}
	mat colnames DC_by_dest = "DC" "TT" "DC-TT"
	mat rownames DC_by_dest = `label'
	
	putexcel `col'`row' = mat(DC_by_dest), names
	loc ncol = `ncol' + 6
	loc col: word `ncol' of `c(ALPHA)'

	}
	
local ncol = 1
local col: word `ncol' of `c(ALPHA)'

foreach m of global l_cptpp3{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row jpn sgp mys vnm brn aus nzl can mex chl per"
	
	loc row = 140
	putexcel `col'`row' = "`m'" 
	loc ++row 
	
	mat DC_by_dest = J(64,3,.)
	local label: subinstr local label "`m'" ""
	local cptpp: subinstr local group_cptpp "`m'" ""
	
	loc j = 1
	foreach c of global g_world{
		qui icio, exporter(`m') importer(`c') dest(cptpp) out(dc) groups(`cptpp' "cptpp")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
			
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++j
		}
	
	local g_cptpp2: subinstr global g_cptpp "`m'" "" 
	
	foreach c of local g_cptpp2 {
		local cptpp2 : subinstr local cptpp "`c'" ""
		qui icio, exporter(`m') importer(`c') dest(cptpp) out(dc) groups(`cptpp2' "cptpp")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`c') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_imp[1,1] + temp_exp[1,1]
		
		qui icio, exp(`m') imp(`c') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DC_by_dest[`j',2] = temp_TT[1,1]
		
		loc ++j
		
		}
	mat colnames DC_by_dest = "DC" "TT" "DC-TT"
	mat rownames DC_by_dest = `label'
	
	putexcel `col'`row' = mat(DC_by_dest), names
	loc ncol = `ncol' + 6
	loc col: word `ncol' of `c(ALPHA)'

	}

//-----------------DESTINATION : CPTPP+USA-----------------//

putexcel set "../table/downstream_partners.xlsx", sheet("CPTPP+USA") modify

global group_cptppusa "usa, jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per"

global g_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row"
global g_cptppusa "usa jpn sgp mys vnm brn aus nzl can mex chl per"
local l_cptpp1 "jpn sgp mys vnm brn"
local l_cptpp2 "aus nzl can mex"
local l_cptpp3 "chl per"

loc ncol = 1
loc col: word `ncol' of `c(ALPHA)'

foreach m of local l_cptpp1{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row usa jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 1
	putexcel `col'`row' = "`m'" 
	loc ++row 
	
	mat DC_by_dest = J(64,3,.)
	local label: subinstr local label "`m'" ""
	local cptppusa: subinstr global group_cptppusa "`m'" ""
	
	loc j = 1
	foreach c of global g_world{
		qui icio, exporter(`m') importer(`c') dest(cptppusa) out(dc) groups(`cptppusa' "cptppusa")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
			
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++j
		}
		
	local g_cptpp2: subinstr global g_cptppusa "`m'" "" 
	
	foreach c of local g_cptpp2 {
		local cptppusa2 : subinstr local cptppusa "`c'" ""
		qui icio, exporter(`m') importer(`c') dest(cptppusa) out(dc) groups(`cptppusa2' "cptppusa")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`c') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_imp[1,1] + temp_exp[1,1]
		
		qui icio, exp(`m') imp(`c') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DC_by_dest[`j',2] = temp_TT[1,1]
		
		loc ++j		
		}
	mat colnames DC_by_dest = "DC" "TT" "DC-TT"
	mat rownames DC_by_dest = `label'
	putexcel `col'`row' = mat(DC_by_dest), names
	loc ncol = `ncol' + 6
	loc col: word `ncol' of `c(ALPHA)'
	}

loc ncol = 1
loc col: word `ncol' of `c(ALPHA)'

foreach m of local l_cptpp2{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row usa jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 70
	putexcel `col'`row' = "`m'" 
	loc ++row 
	
	mat DC_by_dest = J(64,3,.)
	local label: subinstr local label "`m'" ""
	local cptppusa: subinstr global group_cptppusa "`m'" ""
	
	loc j = 1
	foreach c of global g_world{
		qui icio, exporter(`m') importer(`c') dest(cptppusa) out(dc) groups(`cptppusa' "cptppusa")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
			
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++j
		}
		
	local g_cptpp2: subinstr global g_cptppusa "`m'" "" 
	
	foreach c of local g_cptpp2 {
		local cptppusa2 : subinstr local cptppusa "`c'" ""
		qui icio, exporter(`m') importer(`c') dest(cptppusa) out(dc) groups(`cptppusa2' "cptppusa")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`c') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_imp[1,1] + temp_exp[1,1]
		
		qui icio, exp(`m') imp(`c') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DC_by_dest[`j',2] = temp_TT[1,1]
		
		loc ++j		
		}
	mat colnames DC_by_dest = "DC" "TT" "DC-TT"
	mat rownames DC_by_dest = `label'
	putexcel `col'`row' = mat(DC_by_dest), names
	loc ncol = `ncol' + 6
	loc col: word `ncol' of `c(ALPHA)'
	}

loc ncol = 1
loc col: word `ncol' of `c(ALPHA)'

foreach m of local l_cptpp3{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row usa jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 140
	putexcel `col'`row' = "`m'" 
	loc ++row 
	
	mat DC_by_dest = J(64,3,.)
	local label: subinstr local label "`m'" ""
	local cptppusa: subinstr global group_cptppusa "`m'" ""
	
	loc j = 1
	foreach c of global g_world{
		qui icio, exporter(`m') importer(`c') dest(cptppusa) out(dc) groups(`cptppusa' "cptppusa")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
			
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++j
		}
		
	local g_cptpp2: subinstr global g_cptppusa "`m'" "" 
	
	foreach c of local g_cptpp2 {
		local cptppusa2 : subinstr local cptppusa "`c'" ""
		qui icio, exporter(`m') importer(`c') dest(cptppusa) out(dc) groups(`cptppusa2' "cptppusa")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`c') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_imp[1,1] + temp_exp[1,1]
		
		qui icio, exp(`m') imp(`c') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DC_by_dest[`j',2] = temp_TT[1,1]
		
		loc ++j		
		}
	mat colnames DC_by_dest = "DC" "TT" "DC-TT"
	mat rownames DC_by_dest = `label'
	putexcel `col'`row' = mat(DC_by_dest), names
	loc ncol = `ncol' + 6
	loc col: word `ncol' of `c(ALPHA)'
	}
	
//-----------------DESTINATION : CPTPP+CHN-----------------//

putexcel set "../table/downstream_partners.xlsx", sheet("CPTPP+CHN") modify

global group_cptppchn "chn, jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per"

global g_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row"
global g_cptppchn "chn jpn sgp mys vnm brn aus nzl can mex chl per"
local l_cptpp1 "jpn sgp mys vnm brn"
local l_cptpp2 "aus nzl can mex"
local l_cptpp3 "chl per"

loc ncol = 1
loc col: word `ncol' of `c(ALPHA)'
foreach m of local l_cptpp1{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row chn jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 1
	putexcel `col'`row' = "`m'" 
	loc ++row 
	
	mat DC_by_dest = J(64,3,.)
	local label: subinstr local label "`m'" ""
	local cptppchn: subinstr global group_cptppchn "`m'" ""
	
	loc j = 1
	foreach c of global g_world{
		qui icio, exporter(`m') importer(`c') dest(cptppchn) out(dc) groups(`cptppchn' "cptppchn")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
			
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++j
		}
		
	local g_cptpp2: subinstr global g_cptppchn "`m'" "" 
	
	foreach c of local g_cptpp2 {
		local cptppchn2 : subinstr local cptppchn "`c'" ""
		qui icio, exporter(`m') importer(`c') dest(cptppchn) out(dc) groups(`cptppchn2' "cptppchn")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`c') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_imp[1,1] + temp_exp[1,1]
		
		qui icio, exp(`m') imp(`c') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DC_by_dest[`j',2] = temp_TT[1,1]
		
		loc ++j
		
		}
	mat colnames DC_by_dest = "DC" "TT" "DC-TT"
	mat rownames DC_by_dest = `label'
	putexcel `col'`row' = mat(DC_by_dest), names
	loc ncol = `ncol' + 6
	loc col: word `ncol' of `c(ALPHA)'
	}

loc ncol = 1
loc col: word `ncol' of `c(ALPHA)'
foreach m of local l_cptpp2{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row chn jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 70
	putexcel `col'`row' = "`m'" 
	loc ++row 
	
	mat DC_by_dest = J(64,3,.)
	local label: subinstr local label "`m'" ""
	local cptppchn: subinstr global group_cptppchn "`m'" ""
	
	loc j = 1
	foreach c of global g_world{
		qui icio, exporter(`m') importer(`c') dest(cptppchn) out(dc) groups(`cptppchn' "cptppchn")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
			
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++j
		}
		
	local g_cptpp2: subinstr global g_cptppchn "`m'" "" 
	
	foreach c of local g_cptpp2 {
		local cptppchn2 : subinstr local cptppchn "`c'" ""
		qui icio, exporter(`m') importer(`c') dest(cptppchn) out(dc) groups(`cptppchn2' "cptppchn")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`c') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_imp[1,1] + temp_exp[1,1]
		
		qui icio, exp(`m') imp(`c') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DC_by_dest[`j',2] = temp_TT[1,1]
		
		loc ++j
		
		}
	mat colnames DC_by_dest = "DC" "TT" "DC-TT"
	mat rownames DC_by_dest = `label'
	putexcel `col'`row' = mat(DC_by_dest), names
	loc ncol = `ncol' + 6
	loc col: word `ncol' of `c(ALPHA)'
	}
	
loc ncol = 1
loc col: word `ncol' of `c(ALPHA)'
foreach m of local l_cptpp3{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row chn jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 140
	putexcel `col'`row' = "`m'" 
	loc ++row 
	
	mat DC_by_dest = J(64,3,.)
	local label: subinstr local label "`m'" ""
	local cptppchn: subinstr global group_cptppchn "`m'" ""
	
	loc j = 1
	foreach c of global g_world{
		qui icio, exporter(`m') importer(`c') dest(cptppchn) out(dc) groups(`cptppchn' "cptppchn")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
			
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++j
		}
		
	local g_cptpp2: subinstr global g_cptppchn "`m'" "" 
	
	foreach c of local g_cptpp2 {
		local cptppchn2 : subinstr local cptppchn "`c'" ""
		qui icio, exporter(`m') importer(`c') dest(cptppchn) out(dc) groups(`cptppchn2' "cptppchn")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`c') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_imp[1,1] + temp_exp[1,1]
		
		qui icio, exp(`m') imp(`c') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DC_by_dest[`j',2] = temp_TT[1,1]
		
		loc ++j
		
		}
	mat colnames DC_by_dest = "DC" "TT" "DC-TT"
	mat rownames DC_by_dest = `label'
	putexcel `col'`row' = mat(DC_by_dest), names
	loc ncol = `ncol' + 6
	loc col: word `ncol' of `c(ALPHA)'
	}

	
//-----------------DESTINATION : CPTPP+CHN+USA-----------------//

putexcel set "../table/downstream_partners.xlsx", sheet("CPTPP+CHN+USA") modify

global group_cptpp2 "chn, usa, jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per"

global g_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row"
global g_cptpp2 "chn usa jpn sgp mys vnm brn aus nzl can mex chl per"
local l_cptpp1 "jpn sgp mys vnm brn"
local l_cptpp2 "aus nzl can mex"
local l_cptpp3 "chl per"

loc ncol = 1
loc col: word `ncol' of `c(ALPHA)'
foreach m of local l_cptpp1{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row chn usa jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 1
	putexcel `col'`row' = "`m'" 
	loc ++row 
	
	mat DC_by_dest = J(64,3,.)
	local label: subinstr local label "`m'" ""
	local cptpp2: subinstr global group_cptpp2 "`m'" ""
	
	loc j = 1
	foreach c of global g_world{
		qui icio, exporter(`m') importer(`c') dest(cptpp_2) out(dc) groups(`cptpp2' "cptpp_2")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
			
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++j
		}
		
	local g_cptpp2b: subinstr global g_cptpp2 "`m'" "" 
	
	foreach c of local g_cptpp2b {
		local cptpp2b : subinstr local cptpp2 "`c'" ""
		qui icio, exporter(`m') importer(`c') dest(cptpp_2) out(dc) groups(`cptpp2b' "cptpp_2")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`c') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_imp[1,1] + temp_exp[1,1]
		
		qui icio, exp(`m') imp(`c') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DC_by_dest[`j',2] = temp_TT[1,1]
		
		loc ++j
		
		}
	mat colnames DC_by_dest = "DC" "TT" "DC-TT"
	mat rownames DC_by_dest = `label'
	putexcel `col'`row' = mat(DC_by_dest), names
	loc ncol = `ncol' + 6
	loc col: word `ncol' of `c(ALPHA)'
	}

loc ncol = 1
loc col: word `ncol' of `c(ALPHA)'
foreach m of local l_cptpp2{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row chn usa jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 70
	putexcel `col'`row' = "`m'" 
	loc ++row 
	
	mat DC_by_dest = J(64,3,.)
	local label: subinstr local label "`m'" ""
	local cptpp2: subinstr global group_cptpp2 "`m'" ""
	
	loc j = 1
	foreach c of global g_world{
		qui icio, exporter(`m') importer(`c') dest(cptpp_2) out(dc) groups(`cptpp2' "cptpp_2")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
			
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++j
		}
		
	local g_cptpp2b: subinstr global g_cptpp2 "`m'" "" 
	
	foreach c of local g_cptpp2b {
		local cptpp2b : subinstr local cptpp2 "`c'" ""
		qui icio, exporter(`m') importer(`c') dest(cptpp_2) out(dc) groups(`cptpp2b' "cptpp_2")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`c') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_imp[1,1] + temp_exp[1,1]
		
		qui icio, exp(`m') imp(`c') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DC_by_dest[`j',2] = temp_TT[1,1]
		
		loc ++j
		
		}
	mat colnames DC_by_dest = "DC" "TT" "DC-TT"
	mat rownames DC_by_dest = `label'
	putexcel `col'`row' = mat(DC_by_dest), names
	loc ncol = `ncol' + 6
	loc col: word `ncol' of `c(ALPHA)'
	}
	
loc ncol = 1
loc col: word `ncol' of `c(ALPHA)'
foreach m of local l_cptpp3{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row chn usa jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 140
	putexcel `col'`row' = "`m'" 
	loc ++row 
	
	mat DC_by_dest = J(64,3,.)
	local label: subinstr local label "`m'" ""
	local cptpp2: subinstr global group_cptpp2 "`m'" ""
	
	loc j = 1
	foreach c of global g_world{
		qui icio, exporter(`m') importer(`c') dest(cptpp_2) out(dc) groups(`cptpp2' "cptpp_2")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
			
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++j
		}
		
	local g_cptpp2b: subinstr global g_cptpp2 "`m'" "" 
	
	foreach c of local g_cptpp2b {
		local cptpp2b : subinstr local cptpp2 "`c'" ""
		qui icio, exporter(`m') importer(`c') dest(cptpp_2) out(dc) groups(`cptpp2b' "cptpp_2")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`c') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		
		qui icio, exp(`m') imp(`c') dest(`m') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		
		matrix DC_by_dest[`j',1] = temp_DC[1,1] + temp_imp[1,1] + temp_exp[1,1]
		
		qui icio, exp(`m') imp(`c') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix DC_by_dest[`j',2] = temp_TT[1,1]
		
		loc ++j
		
		}
	mat colnames DC_by_dest = "DC" "TT" "DC-TT"
	mat rownames DC_by_dest = `label'
	putexcel `col'`row' = mat(DC_by_dest), names
	loc ncol = `ncol' + 6
	loc col: word `ncol' of `c(ALPHA)'
log close

