log using "../log/upstream_partners.log", replace
clear all
set more off

/*Load TIVA table for a specific year*/
icio_load, iciot(tivan) year(2015)

//-------------------------------WORLD--------------------------------//
putexcel set "../table/upstream_partners.xlsx", sheet("WORLD") modify

global g_cptpp "jpn sgp mys vnm brn aus"
	
local ncol = 1							//*starts printing results at column 1 = A*//
local col: word `ncol' of `c(ALPHA)'  	//*loop through columns*//

foreach c of global g_cptpp{
	local group_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus can mex usa chl arg bra col cri per aus jpn kor nzl brn khm hkg ind idn mys phl chn twn tha sgp vnm kaz isr mar sau zaf tun row"
	local group_world : subinstr local group_world "`c'" ""
	
	global world "aut, bel, cze, dnk, est, fin, fra, deu, grc, hun, isl, irl, ita, lva, lux, nld, nor, pol, prt, svk, svn, esp, swe, che, gbr, bgr, hrv, cyp, ltu, mlt, rou, tur, rus, can, mex, usa, chl, arg, bra, col, cri, per, aus, jpn, kor, nzl, brn, khm, hkg, ind, idn, mys, phl, chn, twn, tha, sgp, vnm, kaz, isr, mar, sau, zaf, tun, row"
	global world: subinstr global world "`c'" "" 
	
	loc row = 1
	putexcel `col'`row' = "`c'"
	loc ++row
	
	mat FC_by_origin = J(64,1,.)
	
	loc j = 1
	foreach m of local group_world{
		local g_world: subinstr global world "`m'" "" 
		qui icio, imp(`c') exp(`m') origin(world) out(fc) groups(`g_world' "world") 
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 

		loc ++j
		}
	
	mat colnames FC_by_origin= "FC"
	mat rownames FC_by_origin= `group_world'

	putexcel `col'`row' = mat(FC_by_origin), names
	local ncol = `ncol'+4			//*FC of the all the interested sectors will be printed horizontally*//
	local col: word `ncol' of `c(ALPHA)'  
}

global g_cptpp "nzl can mex chl per"
	
local ncol = 1							
local col: word `ncol' of `c(ALPHA)'  	

foreach c of global g_cptpp{
	local group_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus can mex usa chl arg bra col cri per aus jpn kor nzl brn khm hkg ind idn mys phl chn twn tha sgp vnm kaz isr mar sau zaf tun row"
	local group_world : subinstr local group_world "`c'" ""
	
	global world "aut, bel, cze, dnk, est, fin, fra, deu, grc, hun, isl, irl, ita, lva, lux, nld, nor, pol, prt, svk, svn, esp, swe, che, gbr, bgr, hrv, cyp, ltu, mlt, rou, tur, rus, can, mex, usa, chl, arg, bra, col, cri, per, aus, jpn, kor, nzl, brn, khm, hkg, ind, idn, mys, phl, chn, twn, tha, sgp, vnm, kaz, isr, mar, sau, zaf, tun, row"
	global world: subinstr global world "`c'" "" 
	
	loc row = 70
	putexcel `col'`row' = "`c'"
	loc ++row
	
	mat FC_by_origin = J(64,1,.)
	
	loc j = 1
	foreach m of local group_world{
		local g_world: subinstr global world "`m'" "" 
		qui icio, imp(`c') exp(`m') origin(world) out(fc) groups(`g_world' "world") 
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 

		loc ++j
		}
	
	mat colnames FC_by_origin= "FC"
	mat rownames FC_by_origin= `group_world'

	putexcel `col'`row' = mat(FC_by_origin), names
	local ncol = `ncol'+4			//*FC of the all the interested sectors will be printed horizontally*//
	local col: word `ncol' of `c(ALPHA)'  
}

//-------------------------------CPTPP--------------------------------//
putexcel set "../table/upstream_partners.xlsx", sheet("CPTPP") modify

local loop1 "jpn sgp mys vnm brn aus"
		
local ncol = 1							
local col: word `ncol' of `c(ALPHA)'  	

foreach c of local loop1{
	global l_cptpp "jpn sgp mys vnm brn aus nzl can mex chl per"
	local l_cptpp2: subinstr global l_cptpp "`c'" ""
	
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row"
	
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row jpn sgp mys vnm brn aus nzl can mex chl per"
	local label : subinstr local label "`c'" ""
	
	global cptpp "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per"
	local g_cptpp : subinstr global cptpp "`c'" ""
		
	loc row = 1
	putexcel `col'`row' = "`c'"
	loc ++row
	
	mat FC_by_origin = J(64,1,.)
	
	loc j = 1
	foreach m of local l_world{
		qui icio, imp(`c') exp(`m') origin(cptpp) out(fc) groups(`g_cptpp' "cptpp") 
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	foreach m of local l_cptpp2{
		local g_cptpp2: subinstr local g_cptpp "`m'" ""
		qui icio, imp(`c') exp(`m') origin(cptpp) out(fc) groups(`g_cptpp2' "cptpp")
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	
	mat colnames FC_by_origin = "FC"
	mat rownames FC_by_origin = `label'
	putexcel `col'`row' = mat(FC_by_origin), names
	local ncol = `ncol'+4				
	local col: word `ncol' of `c(ALPHA)'
}


local loop2 "nzl can mex chl per"
local ncol = 1							
local col: word `ncol' of `c(ALPHA)'  	

foreach c of local loop2{
	global l_cptpp "jpn sgp mys vnm brn aus nzl can mex chl per"
	local l_cptpp2: subinstr global l_cptpp "`c'" ""
	
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row"
	
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row jpn sgp mys vnm brn aus nzl can mex chl per"
	local label : subinstr local label "`c'" ""
	
	global cptpp "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per"
	local g_cptpp : subinstr global cptpp "`c'" ""
		
	loc row = 70
	putexcel `col'`row' = "`c'"
	loc ++row
	
	mat FC_by_origin = J(64,1,.)
	
	loc j = 1
	foreach m of local l_world{
		qui icio, imp(`c') exp(`m') origin(cptpp) out(fc) groups(`g_cptpp' "cptpp") 
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	foreach m of local l_cptpp2{
		local g_cptpp2: subinstr local g_cptpp "`m'" ""
		qui icio, imp(`c') exp(`m') origin(cptpp) out(fc) groups(`g_cptpp2' "cptpp")
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	
	mat colnames FC_by_origin = "FC"
	mat rownames FC_by_origin = `label'
	putexcel `col'`row' = mat(FC_by_origin), names
	local ncol = `ncol'+4				
	local col: word `ncol' of `c(ALPHA)'
}

//-------------------------------CPTPP + USA--------------------------------//
putexcel set "../table/upstream_partners.xlsx", sheet("CPTPP+USA") modify

global l_cptpp "jpn sgp mys vnm brn aus"
		
local ncol = 1							
local col: word `ncol' of `c(ALPHA)'  	

foreach c of global l_cptpp{
			
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row"
	
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row jpn sgp mys vnm brn aus nzl can mex chl per usa"
	local label : subinstr local label "`c'" ""
	
	global cptppusa "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per, usa"
	local g_cptppusa : subinstr global cptppusa "`c'" ""
		
	loc row = 1
	putexcel `col'`row' = "`c'"
	loc ++row
	
	mat FC_by_origin = J(64,1,.)
	
	loc j = 1
	foreach m of local l_world{
		qui icio, imp(`c') exp(`m') origin(cptppusa) out(fc) groups(`g_cptppusa' "cptppusa") 
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	
	global l_cptppusa "jpn sgp mys vnm brn aus nzl can mex chl per usa"	
	local l_cptppusa2: subinstr global l_cptppusa "`c'" ""
	foreach m of local l_cptppusa2{
		local g_cptppusa2: subinstr local g_cptppusa "`m'" ""
		qui icio, imp(`c') exp(`m') origin(cptppusa) out(fc) groups(`g_cptppusa2' "cptppusa")
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	
	mat colnames FC_by_origin = "FC"
	mat rownames FC_by_origin = `label'
	putexcel `col'`row' = mat(FC_by_origin), names
	local ncol = `ncol'+4				
	local col: word `ncol' of `c(ALPHA)'
}

global l_cptpp "nzl can mex chl per"
		
local ncol = 1							
local col: word `ncol' of `c(ALPHA)'  	

foreach c of global l_cptpp{
			
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row"
	
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl chn twn tha kaz isr mar sau zaf tun row jpn sgp mys vnm brn aus nzl can mex chl per usa"
	local label : subinstr local label "`c'" ""
	
	global cptppusa "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per, usa"
	local g_cptppusa : subinstr global cptppusa "`c'" ""
		
	loc row = 70
	putexcel `col'`row' = "`c'"
	loc ++row
	
	mat FC_by_origin = J(64,1,.)
	
	loc j = 1
	foreach m of local l_world{
		qui icio, imp(`c') exp(`m') origin(cptppusa) out(fc) groups(`g_cptppusa' "cptppusa") 
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	
	global l_cptppusa "jpn sgp mys vnm brn aus nzl can mex chl per usa"	
	local l_cptppusa2: subinstr global l_cptppusa "`c'" ""
	foreach m of local l_cptppusa2{
		local g_cptppusa2: subinstr local g_cptppusa "`m'" ""
		qui icio, imp(`c') exp(`m') origin(cptppusa) out(fc) groups(`g_cptppusa2' "cptppusa")
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	
	mat colnames FC_by_origin = "FC"
	mat rownames FC_by_origin = `label'
	putexcel `col'`row' = mat(FC_by_origin), names
	local ncol = `ncol'+4			
	local col: word `ncol' of `c(ALPHA)'
}

//-------------------------------CPTPP + CHN--------------------------------//
putexcel set "../table/upstream_partners.xlsx", sheet("CPTPP+CHN") modify

global l_cptpp "jpn sgp mys vnm brn aus"
		
local ncol = 1							
local col: word `ncol' of `c(ALPHA)'  	

foreach c of global l_cptpp{
		
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row"
	
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row jpn sgp mys vnm brn aus nzl can mex chl per chn"
	local label : subinstr local label "`c'" ""
	
	global cptppchn "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per, chn"
	local g_cptppchn : subinstr global cptppchn "`c'" ""
		
	loc row = 1
	putexcel `col'`row' = "`c'"
	loc ++row
	
	mat FC_by_origin = J(64,1,.)
	
	loc j = 1
	foreach m of local l_world{
		qui icio, imp(`c') exp(`m') origin(cptppchn) out(fc) groups(`g_cptppchn' "cptppchn") 
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	
	global l_cptppchn "jpn sgp mys vnm brn aus nzl can mex chl per chn"
	local l_cptppchn2: subinstr global l_cptppchn "`c'" ""
	foreach m of local l_cptppchn2{
		local g_cptppchn2: subinstr local g_cptppchn "`m'" ""
		qui icio, imp(`c') exp(`m') origin(cptppchn) out(fc) groups(`g_cptppchn2' "cptppchn")
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	
	mat colnames FC_by_origin = "FC"
	mat rownames FC_by_origin = `label'
	putexcel `col'`row' = mat(FC_by_origin), names
	local ncol = `ncol'+4				
	local col: word `ncol' of `c(ALPHA)'
}

global l_cptpp "nzl can mex chl per"
		
local ncol = 1							
local col: word `ncol' of `c(ALPHA)'  	

foreach c of global l_cptpp{
		
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row"
	
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus usa arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row jpn sgp mys vnm brn aus nzl can mex chl per chn"
	local label : subinstr local label "`c'" ""
	
	global cptppchn "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per, chn"
	local g_cptppchn : subinstr global cptppchn "`c'" ""
		
	loc row = 70
	putexcel `col'`row' = "`c'"
	loc ++row
	
	mat FC_by_origin = J(64,1,.)
	
	loc j = 1
	foreach m of local l_world{
		qui icio, imp(`c') exp(`m') origin(cptppchn) out(fc) groups(`g_cptppchn' "cptppchn") 
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	
	global l_cptppchn "jpn sgp mys vnm brn aus nzl can mex chl per chn"
	local l_cptppchn2: subinstr global l_cptppchn "`c'" ""
	foreach m of local l_cptppchn2{
		local g_cptppchn2: subinstr local g_cptppchn "`m'" ""
		qui icio, imp(`c') exp(`m') origin(cptppchn) out(fc) groups(`g_cptppchn2' "cptppchn")
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	
	mat colnames FC_by_origin = "FC"
	mat rownames FC_by_origin = `label'
	putexcel `col'`row' = mat(FC_by_origin), names
	local ncol = `ncol'+4				
	local col: word `ncol' of `c(ALPHA)'
}

//-------------------------------CPTPP + CHN + USA--------------------------------//
putexcel set "../table/upstream_partners.xlsx", sheet("CPTPP+USA+CHN") modify

global l_cptpp "jpn sgp mys vnm brn aus"
		
local ncol = 1							
local col: word `ncol' of `c(ALPHA)'  	

foreach c of global l_cptpp{
	
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row"
	
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row jpn sgp mys vnm brn aus nzl can mex chl per usa chn"
	local label : subinstr local label "`c'" ""
	
	global cptpp2 "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per, usa, chn"
	local g_cptpp2 : subinstr global cptpp2 "`c'" ""
		
	loc row = 1
	putexcel `col'`row' = "`c'"
	loc ++row
	
	mat FC_by_origin = J(64,1,.)
	
	loc j = 1
	foreach m of local l_world{
		qui icio, imp(`c') exp(`m') origin(cptpp_2) out(fc) groups(`g_cptpp2' "cptpp_2") 
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
		
	global l_cptpp2 "jpn sgp mys vnm brn aus nzl can mex chl per usa chn"	
	local l_cptpp2b: subinstr global l_cptpp2"`c'" ""
	foreach m of local l_cptpp2b{
		local g_cptpp2b: subinstr local g_cptpp2 "`m'" ""
		qui icio, imp(`c') exp(`m') origin(cptpp_2) out(fc) groups(`g_cptpp2b' "cptpp_2")
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	
	mat colnames FC_by_origin = "FC"
	mat rownames FC_by_origin = `label'
	putexcel `col'`row' = mat(FC_by_origin), names
	local ncol = `ncol'+4		
	local col: word `ncol' of `c(ALPHA)'
}

global l_cptpp "nzl can mex chl per"
		
local ncol = 1							
local col: word `ncol' of `c(ALPHA)'  	

foreach c of global l_cptpp{
	
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row"
	
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row jpn sgp mys vnm brn aus nzl can mex chl per usa chn"
	local label : subinstr local label "`c'" ""
	
	global cptpp2 "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per, usa, chn"
	local g_cptpp2 : subinstr global cptpp2 "`c'" ""
		
	loc row = 70
	putexcel `col'`row' = "`c'"
	loc ++row
	
	mat FC_by_origin = J(64,1,.)
	
	loc j = 1
	foreach m of local l_world{
		qui icio, imp(`c') exp(`m') origin(cptpp_2) out(fc) groups(`g_cptpp2' "cptpp_2") 
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
		
	global l_cptpp2 "jpn sgp mys vnm brn aus nzl can mex chl per usa chn"	
	local l_cptpp2b: subinstr global l_cptpp2"`c'" ""
	foreach m of local l_cptpp2b{
		local g_cptpp2b: subinstr local g_cptpp2 "`m'" ""
		qui icio, imp(`c') exp(`m') origin(cptpp_2) out(fc) groups(`g_cptpp2b' "cptpp_2")
		m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
		matrix FC_by_origin[`j',1] = temp_FC[1,1] 
		loc ++j
		}
	
	mat colnames FC_by_origin = "FC"
	mat rownames FC_by_origin = `label'
	putexcel `col'`row' = mat(FC_by_origin), names
	local ncol = `ncol'+4			
	local col: word `ncol' of `c(ALPHA)'
}
log close
