//Calculate GVC participation on sector levels//
log using "../log/gvc_sector_cptpp.log", replace
clear all
set more off

/* load TIVA table */
icio_load, iciot(tivan) year(2015)
putexcel set "../table/gvc_sectors_cptpp.xlsx", sheet("GVC_Shares_Sectors") modify

//-----------------------------CPTPP Members--------------------------//
global g_cptpp "jpn sgp aus nzl mys vnm can mex brn chl per chn usa" 
loc row = 1

foreach c of global g_cptpp{
	putexcel A`row' = "`c'" 
	loc ++row
	
	loc j  = 1
	mat gvc_sector = J(3,36,.)
	mat rownames gvc_sector = EXP VS GVC
	
	forvalue s = 1(1)36 {
		qui icio, exp(`c',`s')
		m st_matrix("temp_GE", st_matrix("r(detailed)")[1,1])
		m st_matrix("temp_FC", st_matrix("r(detailed)")[8,2]) 
		m st_matrix("temp_GVC", st_matrix("r(detailed)")[11,2])
		matrix gvc_sector[1, `j'] = temp_GE[1,1]
		matrix gvc_sector[2, `j'] = temp_FC[1,1]
		matrix gvc_sector[3, `j'] = temp_GVC[1,1]
		loc ++j
		}
	
	putexcel A`row' = mat(gvc_sector), names
	loc row = `row' + 7
}

log close
//-----------------------------WORLD--------------------------//

log using "../log/gvc_sector_world.log", replace
clear all
set more off

icio_load, iciot(tivan) year(2015)

global g_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus can mex usa chl arg bra col cri per aus jpn kor nzl brn khm hkg ind idn mys phl sgp chn twn tha vnm kaz isr mar sau zaf tun row"
local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus can mex usa chl arg bra col cri per aus jpn kor nzl brn khm hkg ind idn mys phl sgp chn twn tha vnm kaz isr mar sau zaf tun row"

forvalues s = 1(1)36 {
	
		local i = 1
		
		matrix results = J(65,3,.) 
		matrix colnames results = "GE" "DAVAX" "FC"
		matrix rownames results = `l_world'
		
		foreach c of global g_world {
			
			qui icio, exporter(`c',`s') 
			m st_matrix("temp", st_matrix("r(detailed)")[.,1])
			
			matrix results[`i',1] = temp[1,1]
			matrix results[`i',2] = temp[5,1]
			matrix results[`i',3] = temp[8,1]
			
			local ++i
			
			}
		
		
		m st_matrix("temp1", colsum(st_matrix("results")))
		
		matrix results1 = J(1,3,.)
		matrix colnames results1 = "GVC_BM" "VS" "Downstreamness"
		matrix rownames results1 = World
		
		matrix results1[1,1] = 1 - temp1[1,2]/temp1[1,1]
		matrix results1[1,2] = temp1[1,3]/temp1[1,1]
		matrix results1[1,3] = results1[1,2]/results1[1,1]
		
		putexcel set "../table/gvc_sectors_world.xlsx", sheet("Sect_`s'") modify
		putexcel A1 = mat(results), names
		putexcel F1 = mat(results1), names
		
		}
			
log close


