//CALCULATE DOMESTIC CONTENT BY SECTOR TO IDENTIFY DOWNSTREAM PARTNERS//

log using "../log/downstream_partners_sectors.log", replace
clear all
set more off

/*load TIVA table*/
icio_load, iciot(tivan) year(2015) 

//------------------SELECTED SECTORS--------------------//
putexcel set "../table/downstream_partners_sectors.xlsx", sheet("DC_by_sect") modify

global l_cptpp "jpn sgp mys vnm brn aus nzl can mex chl per"

loc row = 1

foreach c of global l_cptpp{
	local ncol = 1							
	local col: word `ncol' of `c(ALPHA)'
  	putexcel `col'`row' = "`c'"
	loc ++row
	
	local group_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus can mex usa chl arg bra col cri per aus jpn kor nzl brn khm hkg ind idn mys phl chn twn tha sgp vnm kaz isr mar sau zaf tun row"
	local group_world: subinstr local group_world "`c'" ""
	
	foreach s in 11 13 15 16 18 24 29{
		putexcel `col'`row' = "Sector `s'"
		mat DC_sector = J(64,3,.)
		loc i = 1
		
		foreach m of local group_world{
			qui icio, exporter(`c',`s') importer(`m') 
			m st_matrix("temp", st_matrix("r(detailed)")[.,1])
			
			matrix DC_sector[`i',3] = temp[2,1] - temp[5,1] 
			matrix DC_sector[`i',1] = temp[2,1]
			matrix DC_sector[`i',2] = temp[5,1]
			loc ++i
		}
	mat colnames DC_sector = "DC" "TT" "DC-TT"
	mat rownames DC_sector = `group_world'
	putexcel `col'`row' = mat(DC_sector), names	
	local ncol = `ncol'+6
	local col: word `ncol' of `c(ALPHA)'  
		}
	
	loc row = `row' + 68
	
	}



log close

