//CALCULATE FOREIGN CONTENT BY SECTOR TO IDENTIFY UPSTREAM PARTNERS//
log using "../log/upstream_partners_sectors.log", replace
clear all
set more off

icio_load, iciot(tivan) year(2015) 

putexcel set "../table/upstream_partners_sectors.xlsx", sheet("FC_by_sectofexp") modify

global g_cptpp "jpn sgp mys vnm brn aus nzl can mex chl per"

loc row = 1

foreach c of global g_cptpp{
	local ncol = 1							
	local col: word `ncol' of `c(ALPHA)'
  	putexcel `col'`row' = "`c'"
	loc ++row
	
	local group_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus can mex usa chl arg bra col cri per aus jpn kor nzl brn khm hkg ind idn mys phl chn twn tha sgp vnm kaz isr mar sau zaf tun row"
	local group_world: subinstr local group_world "`c'" ""
		
	global world "aut, bel, cze, dnk, est, fin, fra, deu, grc, hun, isl, irl, ita, lva, lux, nld, nor, pol, prt, svk, svn, esp, swe, che, gbr, bgr, hrv, cyp, ltu, mlt, rou, tur, rus, can, mex, usa, chl, arg, bra, col, cri, per, aus, jpn, kor, nzl, brn, khm, hkg, ind, idn, mys, phl, chn, twn, tha, sgp, vnm, kaz, isr, mar, sau, zaf, tun, row"
	global world: subinstr global world "`c'" "" 
		
	foreach s in 11 13 15 16 18 24 29{
		putexcel `col'`row' = "Sector `s'"
		mat FC_by_sector = J(64,1,.)
		loc j = 1
		
		foreach m of local group_world{
			local g_world: subinstr global world "`m'" "" 
			qui icio, imp(`c') exp(`m', `s') origin(world) out(fc) groups(`g_world' "world")
			m st_matrix("temp_FC", st_matrix("r(fc)")[1,1])
			matrix FC_by_sector[`j',1] = temp_FC[1,1] 

			loc ++j
		}
		
		mat colnames FC_by_sector= "FC"
		mat rownames FC_by_sector= `group_world'

		putexcel `col'`row' = mat(FC_by_sector), names
		local ncol = `ncol'+4
		local col: word `ncol' of `c(ALPHA)'  
		
	}
	
	loc row = `row' + 68
}

log close
