log using "../log/downstream_partners_apd_1.log", replace
clear all

set more off
icio_load, iciot(tivan) year(2015) 

//-------------------DESTINATION : CPTPP-------------------//
putexcel set "../table/downstream_partners_appendix.xlsx", sheet("CPTPP") modify

local l_cptpp1 "jpn sgp mys vnm brn"
global l_cptpp "jpn sgp mys vnm brn aus nzl can mex chl per"

local ncol = 1							
local col: word `ncol' of `c(ALPHA)' 

foreach c of local l_cptpp1{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row usa chn jpn sgp mys vnm brn aus nzl can mex chl per"
	local label: subinstr local label "`c'" ""
	loc row = 1
	putexcel `col'`row' = "`c'"
	loc ++row
	
	local g_cptpp "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per"
	local g_cptpp : subinstr local g_cptpp "`c'" ""
		
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row usa chn"
	local l_world : subinstr local l_world "`c'" ""
	
	mat results = J(64,3,.)
	
	loc i = 1
	foreach m of local l_world{
		qui icio, exp(`c') imp(`m') dest(cptpp) out(fc) groups(`g_cptpp' "cptpp") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1]
		
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptpp) out(fc) groups(`g_cptpp' "cptpp")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptpp) out(dc) groups(`g_cptpp' "cptpp")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++i
	}
	local l_cptppb: subinstr global l_cptpp "`c'" ""
	foreach m of local l_cptppb{
		local g_cptpp2: subinstr local g_cptpp "`m'" "" 
		qui icio, exp(`c') imp(`m') dest(cptpp) out(fc) groups(`g_cptpp2' "cptpp") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
	
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptpp) out(fc) groups(`g_cptpp2' "cptpp")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptpp) out(dc) groups(`g_cptpp2' "cptpp")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1] + temp_imp[1,1] - temp_TT[1,1]
		
		loc ++i
	}
	mat colnames results = "FC" "Importer Content" "DC-TT" 
	mat rownames results = `label'
	putexcel `col'`row' = mat(results), names
	local ncol = `ncol'+5			
	local col: word `ncol' of `c(ALPHA)'  
	
}

local l_cptpp2 "aus nzl can mex chl per"
global l_cptpp "jpn sgp mys vnm brn aus nzl can mex chl per"

local ncol = 1							
local col: word `ncol' of `c(ALPHA)' 

foreach c of local l_cptpp2{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row usa chn jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 70
	putexcel `col'`row' = "`c'"
	loc ++row
	
	local g_cptpp "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per"
	local g_cptpp : subinstr local g_cptpp "`c'" ""
		
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row usa chn"
	local l_world : subinstr local l_world "`c'" ""
	
	mat results = J(64,3,.)
	local label: subinstr local label "`c'" ""
		
	loc i = 1
	foreach m of local l_world{
		qui icio, exp(`c') imp(`m') dest(cptpp) out(fc) groups(`g_cptpp' "cptpp") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1]
		
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptpp) out(fc) groups(`g_cptpp' "cptpp")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptpp) out(dc) groups(`g_cptpp' "cptpp")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++i
	}
	local l_cptppb: subinstr global l_cptpp "`c'" ""
	foreach m of local l_cptppb{
		local g_cptpp2: subinstr local g_cptpp "`m'" "" 
		qui icio, exp(`c') imp(`m') dest(cptpp) out(fc) groups(`g_cptpp2' "cptpp") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
	
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptpp) out(fc) groups(`g_cptpp2' "cptpp")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptpp) out(dc) groups(`g_cptpp2' "cptpp")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1] + temp_imp[1,1] - temp_TT[1,1]
		
		loc ++i
	}
	mat colnames results = "FC" "Importer Content" "DC-TT" 
	mat rownames results = `label'
	putexcel `col'`row' = mat(results), names
	local ncol = `ncol'+5			
	local col: word `ncol' of `c(ALPHA)'  
	
}

//-------------------DESTINATION : CPTPP + USA-------------------//
putexcel set "../table/downstream_partners_appendix.xlsx", sheet("CPTPP+USA") modify

local l_cptpp1 "jpn sgp mys vnm brn"
global l_cptppusa "usa jpn sgp mys vnm brn aus nzl can mex chl per"

local ncol = 1							
local col: word `ncol' of `c(ALPHA)' 

foreach c of local l_cptpp1{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row chn usa jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 1
	putexcel `col'`row' = "`c'"
	loc ++row
	
	local g_cptppusa "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per, usa"
	local g_cptppusa : subinstr local g_cptppusa "`c'" ""
		
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row chn"
	local l_world : subinstr local l_world "`c'" ""
	
	mat results = J(64,3,.)
	local label: subinstr local label "`c'" ""
		
	loc i = 1
	foreach m of local l_world{
		qui icio, exp(`c') imp(`m') dest(cptppusa) out(fc) groups(`g_cptppusa' "cptppusa") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1]
		
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptppusa) out(fc) groups(`g_cptppusa' "cptppusa")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptppusa) out(dc) groups(`g_cptppusa' "cptppusa")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++i
	}
	local l_cptppb: subinstr global l_cptppusa "`c'" ""
	foreach m of local l_cptppb{
		local g_cptppusa2: subinstr local g_cptppusa "`m'" "" 
		qui icio, exp(`c') imp(`m') dest(cptppusa) out(fc) groups(`g_cptppusa2' "cptppusa") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
	
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptppusa) out(fc) groups(`g_cptppusa2' "cptppusa")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptppusa) out(dc) groups(`g_cptppusa2' "cptppusa")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1] + temp_imp[1,1] - temp_TT[1,1]
		
		loc ++i
	}
	mat colnames results = "FC" "Importer Content" "DC-TT" 
	mat rownames results = `label'
	putexcel `col'`row' = mat(results), names
	local ncol = `ncol'+5			
	local col: word `ncol' of `c(ALPHA)'  
	
}

local l_cptpp2 "aus nzl can mex chl per"
global l_cptppusa "usa jpn sgp mys vnm brn aus nzl can mex chl per"

local ncol = 1							
local col: word `ncol' of `c(ALPHA)' 

foreach c of local l_cptpp2{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row chn usa jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 70
	putexcel `col'`row' = "`c'"
	loc ++row
	
	local g_cptppusa "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per, usa"
	local g_cptppusa : subinstr local g_cptppusa "`c'" ""
		
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row chn"
	local l_world : subinstr local l_world "`c'" ""
	
	mat results = J(64,3,.)
	local label: subinstr local label "`c'" ""
		
	loc i = 1
	foreach m of local l_world{
		qui icio, exp(`c') imp(`m') dest(cptppusa) out(fc) groups(`g_cptppusa' "cptppusa") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1]
		
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptppusa) out(fc) groups(`g_cptppusa' "cptppusa")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptppusa) out(dc) groups(`g_cptppusa' "cptppusa")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++i
	}
	local l_cptppb: subinstr global l_cptppusa "`c'" ""
	foreach m of local l_cptppb{
		local g_cptppusa2: subinstr local g_cptppusa "`m'" "" 
		qui icio, exp(`c') imp(`m') dest(cptppusa) out(fc) groups(`g_cptppusa2' "cptppusa") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
	
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptppusa) out(fc) groups(`g_cptppusa2' "cptppusa")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptppusa) out(dc) groups(`g_cptppusa2' "cptppusa")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1] + temp_imp[1,1] - temp_TT[1,1]
		
		loc ++i
	}
	mat colnames results = "FC" "Importer Content" "DC-TT" 
	mat rownames results = `label'
	putexcel `col'`row' = mat(results), names
	local ncol = `ncol'+5			
	local col: word `ncol' of `c(ALPHA)'  
	
}

//-------------------DESTINATION : CPTPP + CHN-------------------//
putexcel set "../table/downstream_partners_appendix.xlsx", sheet("CPTPP+CHN") modify

local l_cptpp1 "jpn sgp mys vnm brn"
global l_cptppchn "chn jpn sgp mys vnm brn aus nzl can mex chl per"

local ncol = 1							
local col: word `ncol' of `c(ALPHA)' 

foreach c of local l_cptpp1{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row usa chn jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 1
	putexcel `col'`row' = "`c'"
	loc ++row
	
	local g_cptppchn "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per, chn"
	local g_cptppchn : subinstr local g_cptppchn "`c'" ""
		
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row usa"
	local l_world : subinstr local l_world "`c'" ""
	
	mat results = J(64,3,.)
	local label: subinstr local label "`c'" ""
		
	loc i = 1
	foreach m of local l_world{
		qui icio, exp(`c') imp(`m') dest(cptppchn) out(fc) groups(`g_cptppchn' "cptppchn") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1]
		
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptppchn) out(fc) groups(`g_cptppchn' "cptppchn")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptppchn) out(dc) groups(`g_cptppchn' "cptppchn")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++i
	}
	local l_cptppb: subinstr global l_cptppchn "`c'" ""
	foreach m of local l_cptppb{
		local g_cptppchn2: subinstr local g_cptppchn "`m'" "" 
		qui icio, exp(`c') imp(`m') dest(cptppchn) out(fc) groups(`g_cptppchn2' "cptppchn") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
	
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptppchn) out(fc) groups(`g_cptppchn2' "cptppchn")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptppchn) out(dc) groups(`g_cptppchn2' "cptppchn")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1] + temp_imp[1,1] - temp_TT[1,1]
		
		loc ++i
	}
	mat colnames results = "FC" "Importer Content" "DC-TT" 
	mat rownames results = `label'
	putexcel `col'`row' = mat(results), names
	local ncol = `ncol'+5			
	local col: word `ncol' of `c(ALPHA)'  
	
}
local l_cptpp2 "aus nzl can mex chl per"
global l_cptppchn "chn jpn sgp mys vnm brn aus nzl can mex chl per"

local ncol = 1							
local col: word `ncol' of `c(ALPHA)' 

foreach c of local l_cptpp2{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row usa chn jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 70
	putexcel `col'`row' = "`c'"
	loc ++row
	
	local g_cptppchn "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per, chn"
	local g_cptppchn : subinstr local g_cptppchn "`c'" ""
		
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row usa"
	local l_world : subinstr local l_world "`c'" ""
	
	mat results = J(64,3,.)
	local label: subinstr local label "`c'" ""
		
	loc i = 1
	foreach m of local l_world{
		qui icio, exp(`c') imp(`m') dest(cptppchn) out(fc) groups(`g_cptppchn' "cptppchn") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1]
		
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptppchn) out(fc) groups(`g_cptppchn' "cptppchn")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptppchn) out(dc) groups(`g_cptppchn' "cptppchn")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++i
	}
	local l_cptppb: subinstr global l_cptppchn "`c'" ""
	foreach m of local l_cptppb{
		local g_cptppchn2: subinstr local g_cptppchn "`m'" "" 
		qui icio, exp(`c') imp(`m') dest(cptppchn) out(fc) groups(`g_cptppchn2' "cptppchn") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
	
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptppchn) out(fc) groups(`g_cptppchn2' "cptppchn")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptppchn) out(dc) groups(`g_cptppchn2' "cptppchn")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1] + temp_imp[1,1] - temp_TT[1,1]
		
		loc ++i
	}
	mat colnames results = "FC" "Importer Content" "DC-TT" 
	mat rownames results = `label'
	putexcel `col'`row' = mat(results), names
	local ncol = `ncol'+5			
	local col: word `ncol' of `c(ALPHA)'  
	
}


//-------------------DESTINATION : CPTPP + CHN + USA-------------------//
putexcel set "../table/downstream_partners_appendix.xlsx", sheet("CPTPP+CHN+USA") modify

local l_cptpp_a "jpn sgp mys vnm brn"
global l_cptpp2 "usa chn jpn sgp mys vnm brn aus nzl can mex chl per"

local ncol = 1							
local col: word `ncol' of `c(ALPHA)' 

foreach c of local l_cptpp_a{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row usa chn jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 1
	putexcel `col'`row' = "`c'"
	loc ++row
	
	local g_cptpp2 "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per, chn, usa"
	local g_cptpp2 : subinstr local g_cptpp2 "`c'" ""
		
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row"
	local l_world : subinstr local l_world "`c'" ""
	
	mat results = J(64,3,.)
	local label: subinstr local label "`c'" ""
		
	loc i = 1
	foreach m of local l_world{
		qui icio, exp(`c') imp(`m') dest(cptpp2) out(fc) groups(`g_cptpp2' "cptpp2") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1]
		
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptpp2) out(fc) groups(`g_cptpp2' "cptpp2")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptpp2) out(dc) groups(`g_cptpp2' "cptpp2")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++i
	}
	local l_cptppb: subinstr global l_cptpp2 "`c'" ""
	foreach m of local l_cptppb{
		local g_cptpp2b: subinstr local g_cptpp2 "`m'" "" 
		qui icio, exp(`c') imp(`m') dest(cptpp2) out(fc) groups(`g_cptpp2b' "cptpp2") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
	
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptpp2) out(fc) groups(`g_cptpp2b' "cptpp2")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptpp2) out(dc) groups(`g_cptpp2b' "cptpp2")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1] + temp_imp[1,1] - temp_TT[1,1]
		
		loc ++i
	}
	mat colnames results = "FC" "Importer Content" "DC-TT" 
	mat rownames results = `label'
	putexcel `col'`row' = mat(results), names
	local ncol = `ncol'+5			
	local col: word `ncol' of `c(ALPHA)'  
	
}
local l_cptpp_b "aus nzl can mex chl per"
global l_cptpp2 "usa chn jpn sgp mys vnm brn aus nzl can mex chl per"

local ncol = 1							
local col: word `ncol' of `c(ALPHA)' 

foreach c of local l_cptpp_b{
	local label "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row usa chn jpn sgp mys vnm brn aus nzl can mex chl per"
	loc row = 70
	putexcel `col'`row' = "`c'"
	loc ++row
	
	local g_cptpp2 "jpn, sgp, mys, vnm, brn, aus, nzl, can, mex, chl, per, chn, usa"
	local g_cptpp2 : subinstr local g_cptpp2 "`c'" ""
		
	local l_world "aut bel cze dnk est fin fra deu grc hun isl irl ita lva lux nld nor pol prt svk svn esp swe che gbr bgr hrv cyp ltu mlt rou tur rus arg bra col cri kor khm hkg ind idn phl twn tha kaz isr mar sau zaf tun row"
	local l_world : subinstr local l_world "`c'" ""
	
	mat results = J(64,3,.)
	local label: subinstr local label "`c'" ""
		
	loc i = 1
	foreach m of local l_world{
		qui icio, exp(`c') imp(`m') dest(cptpp2) out(fc) groups(`g_cptpp2' "cptpp2") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1]
		
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptpp2) out(fc) groups(`g_cptpp2' "cptpp2")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptpp2) out(dc) groups(`g_cptpp2' "cptpp2")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1]
		
		loc ++i
	}
	local l_cptppb: subinstr global l_cptpp2 "`c'" ""
	foreach m of local l_cptppb{
		local g_cptpp2b: subinstr local g_cptpp2 "`m'" "" 
		qui icio, exp(`c') imp(`m') dest(cptpp2) out(fc) groups(`g_cptpp2b' "cptpp2") 
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',1] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
	
		qui icio, origin(`m') exp(`c') imp(`m') dest(cptpp2) out(fc) groups(`g_cptpp2b' "cptpp2")
		m st_matrix("temp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`c') out(fc)
		m st_matrix("temp_exp", st_matrix("r(fc)")[1,1])
		qui icio, origin(`m') exp(`c') imp(`m') dest(`m') out(fc)
		m st_matrix("temp_imp", st_matrix("r(fc)")[1,1])
		mat results[`i',2] = temp[1,1] + temp_exp[1,1] + temp_imp[1,1]
		
		qui icio, exporter(`c') importer(`m') dest(cptpp2) out(dc) groups(`g_cptpp2b' "cptpp2")
		m st_matrix("temp_DC", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`c') out(dc)
		m st_matrix("temp_exp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') dest(`m') out(dc) 
		m st_matrix("temp_imp", st_matrix("r(dc)")[1,1])
		qui icio, exp(`c') imp(`m') 
		m st_matrix("temp_TT", st_matrix("r(detailed)")[5,1]) 
		matrix results[`i',3] = temp_DC[1,1] + temp_exp[1,1] + temp_imp[1,1] - temp_TT[1,1]
		
		loc ++i
	}
	mat colnames results = "FC" "Importer Content" "DC-TT" 
	mat rownames results = `label'
	putexcel `col'`row' = mat(results), names
	local ncol = `ncol'+5			
	local col: word `ncol' of `c(ALPHA)'  
	
}
log close
